Package com.omnisci.thrift.server

## Class TDictionaryGeneration

- java.lang.Object
- - com.omnisci.thrift.server.TDictionaryGeneration

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TDictionaryGeneration>`, `org.apache.thrift.TBase<TDictionaryGeneration,​TDictionaryGeneration._Fields>`, `org.apache.thrift.TSerializable`

    public class TDictionaryGeneration
    extends Object
    implements org.apache.thrift.TBase<TDictionaryGeneration,​TDictionaryGeneration._Fields>, Serializable, Cloneable, Comparable<TDictionaryGeneration>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TDictionaryGeneration._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`int` `dict_id`
`long` `entry_count`
`static Map<TDictionaryGeneration._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

### Constructor Summary

Constructors
`TDictionaryGeneration()`
`TDictionaryGeneration​(int dict_id, long entry_count)`
`TDictionaryGeneration​(TDictionaryGeneration other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TDictionaryGeneration other)`
`TDictionaryGeneration` `deepCopy()`
`boolean` `equals​(TDictionaryGeneration that)`
`boolean` `equals​(Object that)`
`TDictionaryGeneration._Fields` `fieldForId​(int fieldId)`
`int` `getDict_id()`
`long` `getEntry_count()`
`Object` `getFieldValue​(TDictionaryGeneration._Fields field)`
`int` `hashCode()`
`boolean` `isSet​(TDictionaryGeneration._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetDict_id()` Returns true if field dict_id is set (has been assigned a value) and false otherwise
`boolean` `isSetEntry_count()` Returns true if field entry_count is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TDictionaryGeneration` `setDict_id​(int dict_id)`
`void` `setDict_idIsSet​(boolean value)`
`TDictionaryGeneration` `setEntry_count​(long entry_count)`
`void` `setEntry_countIsSet​(boolean value)`
`void` `setFieldValue​(TDictionaryGeneration._Fields field, Object value)`
`String` `toString()`
`void` `unsetDict_id()`
`void` `unsetEntry_count()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dict_id

    public int dict_id

#### entry_count

    public long entry_count

#### metaDataMap

    public static final Map<TDictionaryGeneration._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TDictionaryGeneration

    public TDictionaryGeneration()

#### TDictionaryGeneration

    public TDictionaryGeneration​(int dict_id,
                                 long entry_count)

#### TDictionaryGeneration

    public TDictionaryGeneration​(TDictionaryGeneration other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TDictionaryGeneration deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TDictionaryGeneration,​TDictionaryGeneration._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TDictionaryGeneration,​TDictionaryGeneration._Fields>`

#### getDict_id

    public int getDict_id()

#### setDict_id

    public TDictionaryGeneration setDict_id​(int dict_id)

#### unsetDict_id

    public void unsetDict_id()

#### isSetDict_id

    public boolean isSetDict_id()

Returns true if field dict_id is set (has been assigned a value) and false otherwise

#### setDict_idIsSet

    public void setDict_idIsSet​(boolean value)

#### getEntry_count

    public long getEntry_count()

#### setEntry_count

    public TDictionaryGeneration setEntry_count​(long entry_count)

#### unsetEntry_count

    public void unsetEntry_count()

#### isSetEntry_count

    public boolean isSetEntry_count()

Returns true if field entry_count is set (has been assigned a value) and false otherwise

#### setEntry_countIsSet

    public void setEntry_countIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TDictionaryGeneration._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TDictionaryGeneration,​TDictionaryGeneration._Fields>`

#### getFieldValue

    public Object getFieldValue​(TDictionaryGeneration._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TDictionaryGeneration,​TDictionaryGeneration._Fields>`

#### isSet

    public boolean isSet​(TDictionaryGeneration._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TDictionaryGeneration,​TDictionaryGeneration._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TDictionaryGeneration that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TDictionaryGeneration other)

Specified by:
  `compareTo` in interface `Comparable<TDictionaryGeneration>`

#### fieldForId

    public TDictionaryGeneration._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TDictionaryGeneration,​TDictionaryGeneration._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`